## org.biojava.bio.search
Interface SeqSimilaritySearchResult

All Known Implementing Classes:
  SimpleSeqSimilaritySearchResult

public interface SeqSimilaritySearchResult
extends java.lang.Cloneable

objects of this type represent one particular result of a sequence similarity search.

Author:
  Gerald Loeffler for the IMP

Method Summary
`java.lang.Object` `clone()`
`java.util.List` `getHits()` return all hits in this sequence similarity search result.
`SymbolList` `getQuerySequence()` return the sequence with which the search that produced this search result was performed.
`SeqSimilaritySearcher` `getSearcher()` return the sequence similarity searcher that produced this sequence similarity search result.
`java.util.Map` `getSearchParameters()` return the search parameters used in the search that produced this search result.
`SequenceDB` `getSequenceDB()` return the sequence database against which the search that produced this search result was performed.

Method Detail

### getSearcher

    public SeqSimilaritySearcher getSearcher()

  return the sequence similarity searcher that produced this sequence similarity search result.
  Returns:
    the SeqSimilaritySearcher object whose search() method produced this object. Never returns null.

### getQuerySequence

    public SymbolList getQuerySequence()

  return the sequence with which the search that produced this search result was performed.
  Returns:
    the SymbolList object passed to the searchers search() method that produced this object. Never returns null.

### getSequenceDB

    public SequenceDB getSequenceDB()

  return the sequence database against which the search that produced this search result was performed.
  Returns:
    the SequenceDB object passed to the searchers search() method that produced this object. Never returns null.

### getSearchParameters

    public java.util.Map getSearchParameters()

  return the search parameters used in the search that produced this search result.
  Returns:
    the (immutable) search parameter Map object passed to the searchers search() method that produced this object. May return null because SeqSimilaritySearcher.search() must accept a null value for searchParameters.

### getHits

    public java.util.List getHits()

  return all hits in this sequence similarity search result. The hits are sorted from best to worst.
  Returns:
    an (immutable) List of SeqSimilaritySearchHit objects containing all hits in the search result. Never returns null but may return an empty list.

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object